Branches
Retrieve branch metrics
Returns time-series data for one or more metrics of a branch.
POST
/
organizations
/
{organizationID}
/
projects
/
{projectID}
/
branches
/
{branchID}
/
metrics
Retrieve branch metrics
curl --request POST \
--url https://api.xata.tech/organizations/{organizationID}/projects/{projectID}/branches/{branchID}/metrics \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"metrics": [],
"aggregations": [],
"instances": [
"<string>"
]
}
'import requests
url = "https://api.xata.tech/organizations/{organizationID}/projects/{projectID}/branches/{branchID}/metrics"
payload = {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"metrics": [],
"aggregations": [],
"instances": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
start: '2023-11-07T05:31:56Z',
end: '2023-11-07T05:31:56Z',
metrics: [],
aggregations: [],
instances: ['<string>']
})
};
fetch('https://api.xata.tech/organizations/{organizationID}/projects/{projectID}/branches/{branchID}/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"results": [
{
"metric": "<string>",
"unit": "<string>",
"series": [
{
"instanceID": "<string>",
"values": [
{
"timestamp": "2023-11-07T05:31:56Z",
"value": 123
}
]
}
]
}
]
}{
"message": "<string>",
"id": "<string>"
}{
"message": "<string>",
"id": "<string>"
}{
"message": "<string>",
"id": "<string>"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Pattern:
[a-zA-Z0-9_-~:]+Body
application/json
Start time
End time
List of metric names to query.
Required array length:
1 - 15 elementsName of a branch metric exposed by the API.
Available options:
cpu, memory, disk, connections_active, connections_idle, network_ingress, network_egress, iops_read, iops_write, latency_read, latency_write, throughput_read, throughput_write, wal_sync_time, replication_lag_time List of aggregations to get, this is how the data-points within the interval are aggregated. Each one will generate a separate time-series per metric in the response.
Available options:
avg, max, min List of instance IDs to query
Was this page helpful?
⌘I
Retrieve branch metrics
